List the user and group principals in the Active Directory that match the filter criteria specified using parameters.

Privileges: PRINCIPAL_VIEW, AD_LDAP_VIEW

Optionally limit the search results by specifying security identifiers (SIDs),
an object class (user or group) or a substring.
You can specify SIDs or a substring but not both.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Specifies the domain name of the principals to search. If specified
the principals in that domain are searched. Domain could be an
Active Directory domain joined by the Cluster or any one of the
trusted domains of the Active Directory domain or the LOCAL domain.
If not specified, all the domains are searched.

string
enum

Optionally filter by a principal object class such as 'kGroup' or 'kUser'.
If 'kGroup' is specified, only group principals are returned.
If 'kUser' is specified, only user principals are returned.
If not specified, both group and user principals are returned.
'kUser' specifies a user object class.
'kGroup' specifies a group object class.
'kComputer' specifies a computer object class.
'kWellKnownPrincipal' specifies a well known principal.
'kServiceAccount' specifies a service account object class.

Allowed:

Optionally filter by matching a substring. Only principals in
the with a name or sAMAccountName that matches
part or all of the specified substring are returned.
If specified, a 'sids' parameter should not be specified.

sids
array of strings

Optionally filter by a list of security identifiers (SIDs) found
in the specified domain. Only principals matching
the specified SIDs are returned.
If specified, a 'search' parameter should not be specified.

sids
boolean

Specifies if Computer/GMSA accounts need to be included in this search.

boolean

Specifies if service accouns should be included in the search result.
This field is true by default.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json